function GNSS_plot(time_out, vessel_pos, y_1_out, y_2_out, y_3_out, status_GNSS_1_out, status_GNSS_2_out, status_GNSS_3_out, var_pos_ref_1, var_pos_ref_2, var_pos_ref_3, gnss_var_w, status_GNSS_out, gnss_pos_w_out)

global s_Folder

start_time = 700*100 + 1;
start_time = 1;
time = time_out;
length_plot = length(time)/100; 
s_legend = {'$\mathrm{GNSS_1}$', 'Vessel'};

h = figure;
s_fig_file_name = 'GNSS_1_meas';
resize_fig( 'simulator_plot' );
subplot(3,1,1)
    plot(time(start_time:end), y_1_out(start_time:end,1 ) )
    hold on
    plot(time(start_time:end), vessel_pos(start_time:end,1),'r')
    hold off;
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex')
    ylabel('$x^n$[m]', 'Interpreter','Latex')
    legend(s_legend, 'location', 'NorthEast', 'Interpreter','Latex')
    grid, set(gca,'FontSize',11)
    hold off
subplot(3,1,2)
    plot(time(start_time:end), y_1_out(start_time:end,2))
    hold on
    plot(time(start_time:end), vessel_pos(start_time:end,2),'r')
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex')
    ylabel('$y^n$[m]', 'Interpreter','Latex')
    %legend(s_legend, 'location', 'best','Interpreter','Latex')
    grid on 
    set(gca,'FontSize',11)
    hold off
subplot(3,1,3)
    plot(time(start_time:end), y_1_out(start_time:end,3)), 
    hold on
    plot(time(start_time:end), vessel_pos(start_time:end,3),'r') 
    hold off;
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex')
    ylabel('$z^n$[m]', 'Interpreter','Latex')
    %legend(s_legend, 'location', 'best', 'Interpreter','Latex')
    grid on
    set(gca,'FontSize',11)
    hold off
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');
s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

time_zoome_start = 950;
time_zoome_end = 1050;
h = figure;
s_fig_file_name = 'GNSS_1_meas_zoom';
resize_fig( 'simulator_plot' );
subplot(3,1,1)
    plot(time, y_1_out(:,1))
    hold on
    plot(time, vessel_pos(:,1),'r')
    hold off;
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex')
    ylabel('$x^n$[m]', 'Interpreter','Latex')
    legend(s_legend, 'location', 'NorthEast', 'Interpreter','Latex')
    grid, set(gca,'FontSize',11)
    axis([time_zoome_start time_zoome_end min(y_1_out(:,1)) max(y_1_out(:,1))])

    hold off
subplot(3,1,2)
    plot(time(start_time:end), y_1_out(start_time:end,2))
    hold on
    plot(time(start_time:end), vessel_pos(start_time:end,2),'r')
    hold off;
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex')
    ylabel('$y^n$[m]', 'Interpreter','Latex')
    %legend(s_legend, 'location', 'best', 'Interpreter','Latex')
    grid on 
    set(gca,'FontSize',11)
    axis([time_zoome_start time_zoome_end min(y_1_out(:,1)) max(y_1_out(:,1))])
    hold off
subplot(3,1,3)
    plot(time(start_time:end), y_1_out(start_time:end,3)), 
    hold on
    plot(time(start_time:end), vessel_pos(start_time:end,3),'r')    
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex')
    ylabel('$z^n$[m]', 'Interpreter','Latex')
    %legend(s_legend, 'location', 'best','Interpreter','Latex')
    grid on
    set(gca,'FontSize',11)
    axis([time_zoome_start time_zoome_end min(y_1_out(:,1)) max(y_1_out(:,1))])
    hold off
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

    s_legend = {'$\mathrm{GNSS_2}$', 'Vessel'};
    s_fig_file_name = 'GNSS_2_meas';
    h = figure;
    resize_fig( 'simulator_plot' );
    subplot(3,1,1), 
        plot(time(start_time:end), y_2_out(start_time:end,1)),
        hold on
        plot(time(start_time:end), vessel_pos(start_time:end,1),'r')
        hold off;
        xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
        ylabel('$x^n$[m]', 'Interpreter','Latex'),
        legend(s_legend, 'location', 'NorthEast','Interpreter','Latex')
        grid, 
        set(gca,'FontSize',11)
    title('GNSS 2 Measurments')
    subplot(3,1,2), 
        plot(time(start_time:end), y_2_out(start_time:end,2)), 
        hold on
        plot(time(start_time:end), vessel_pos(start_time:end,2),'r')
        hold off;
        xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
        ylabel('$y^n$[m]', 'Interpreter','Latex'),
        %legend(s_legend, 'location', 'best','Interpreter','Latex')
        grid, 
        set(gca,'FontSize',11)
    subplot(3,1,3), 
        plot(time(start_time:end), y_2_out(start_time:end,3)),
        hold on
        plot(time(start_time:end), vessel_pos(start_time:end,3),'r')
        hold off;
        xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
        ylabel('$z^n$[m]', 'Interpreter','Latex'),
        grid,
        %legend(s_legend, 'location', 'best', 'Interpreter','Latex')
        set(gca,'FontSize',11)
    figureHandle = gcf;
    set(findall(figureHandle,'type','text'),'fontSize',11)
    s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
%     export_fig(s_fig_path_and_name, '-pdf','-transparent');
    s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
    saveas(h,s_location_with_file_name,'fig')
    export_fig(s_location_with_file_name, '-pdf','-transparent')
    %%%%%
    
    s_fig_file_name = 'GNSS_3_meas';
    s_legend = {'$\mathrm{GNSS_3}$', 'Vessel'};
    h = figure;
    resize_fig( 'simulator_plot' );
    subplot(3,1,1), 
        plot(time(start_time:end), y_3_out(start_time:end,1)),
        hold on
        plot(time(start_time:end), vessel_pos(start_time:end,1),'r')
        hold off;
        xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
        ylabel('$x^n$[m]', 'Interpreter','Latex'),
        legend(s_legend, 'location', 'NorthEast', 'Interpreter','Latex')
        grid, 
        set(gca,'FontSize',11)
    subplot(3,1,2), 
        plot(time(start_time:end), y_3_out(start_time:end,2)), 
        hold on
        plot(time(start_time:end), vessel_pos(start_time:end,2),'r')
        hold off;
        xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
        ylabel('$y^n$[m]', 'Interpreter','Latex'),
        %legend(s_legend, 'location', 'best', 'Interpreter','Latex')
        grid, 
        set(gca,'FontSize',11)
    subplot(3,1,3), 
        plot(time(start_time:end), y_3_out(start_time:end,3)),
        hold on
        plot(time(start_time:end), vessel_pos(start_time:end,3),'r')
        hold off;
        xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
        ylabel('$z^n$[m]', 'Interpreter','Latex'),
        grid,
        %legend(s_legend, 'location', 'best', 'Interpreter','Latex')
        set(gca,'FontSize',11)
    figureHandle = gcf;
    set(findall(figureHandle,'type','text'),'fontSize',11)
    s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
%     export_fig(s_fig_path_and_name, '-pdf','-transparent');
    s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
    saveas(h,s_location_with_file_name,'fig')
    export_fig(s_location_with_file_name, '-pdf','-transparent')


h = figure;
s_fig_file_name = 'GNSS_weighted';
s_legend = {'$\mathrm{GNSS_w}$', 'Vessel'};
resize_fig( 'simulator_plot' );
subplot(3,1,1)
    plot(time(start_time:end), gnss_pos_w_out(start_time:end,1 ) )
    hold on
    plot(time(start_time:end), vessel_pos(start_time:end,1),'r')
    hold off;
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex')
    ylabel('$x^n$[m]', 'Interpreter','Latex')
    legend(s_legend, 'location', 'NorthEast', 'Interpreter','Latex')
    grid, set(gca,'FontSize',11)
    hold off
subplot(3,1,2)
    plot(time(start_time:end), gnss_pos_w_out(start_time:end,2))
    hold on
    plot(time(start_time:end), vessel_pos(start_time:end,2),'r')
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex')
    ylabel('$y^n$[m]', 'Interpreter','Latex')
    %legend(s_legend, 'location', 'best','Interpreter','Latex')
    grid on 
    set(gca,'FontSize',11)
    hold off
subplot(3,1,3)
    plot(time(start_time:end), gnss_pos_w_out(start_time:end,3)), 
    hold on
    plot(time(start_time:end), vessel_pos(start_time:end,3),'r') 
    hold off;
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex')
    ylabel('$z^n$[m]', 'Interpreter','Latex')
    %legend(s_legend, 'location', 'best', 'Interpreter','Latex')
    grid on
    set(gca,'FontSize',11)
    hold off
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

s_fig_file_name = 'GNSS_status';
h = figure;
c_yabel_1 = {'Status','GNSS 1'};
c_yabel_2 = {'Status','GNSS 2'};
c_yabel_3 = {'Status','GNSS 3'};
c_yabel_4 = {'Status','Voted GNSS'};
resize_fig( 'pva_plot' );
subplot(4,1,1), 
    plot(time, status_GNSS_1_out), 
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
    ylabel(c_yabel_1, 'Interpreter','Latex'),
    y_min = min(status_GNSS_1_out);
    y_max = max(status_GNSS_1_out);
    if y_min == y_max
        axis([time(1) time(end) y_min-1 y_max+1])  
    else
        axis([time(1) time(end) y_min-0.1 y_max+0.1])    
    end
    grid, set(gca,'FontSize',11)
subplot(4,1,2), 
    plot(time, status_GNSS_2_out), 
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
    ylabel(c_yabel_2, 'Interpreter','Latex'),
    y_min = min(status_GNSS_2_out);
    y_max = max(status_GNSS_2_out);
    if y_min == y_max
        axis([time(1) time(end) y_min-1 y_max+1])  
    else
        axis([time(1) time(end) y_min-0.1 y_max+0.1])    
    end
    grid, set(gca,'FontSize',11)
subplot(4,1,3), 
    plot(time, status_GNSS_3_out), 
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
    ylabel(c_yabel_3, 'Interpreter','Latex'),
    y_min = min(status_GNSS_3_out);
    y_max = max(status_GNSS_3_out);
    if y_min == y_max
        axis([time(1) time(end) y_min-1 y_max+1])  
    else
        axis([time(1) time(end) y_min-0.1 y_max+0.1])    
    end   
    grid, set(gca,'FontSize',11)
subplot(4,1,4), 
    plot(time, status_GNSS_out), 
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
    ylabel(c_yabel_4, 'Interpreter','Latex'),
    grid,
    y_min = min(status_GNSS_out);
    y_max = max(status_GNSS_out);
    if y_min == y_max
        axis([time(1) time(end) y_min-1 y_max+1])  
    else
        axis([time(1) time(end) y_min-0.1 y_max+0.1])    
    end   
    y_tick = [y_min:1:y_max];
    set(gca,'YTick', y_tick)
    set(gca,'FontSize',11)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')


h = figure;
s_fig_file_name = 'GNSS_status_1';
resize_fig( 'bias_plot' );
plot(time, status_GNSS_1_out), 
xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
ylabel(c_yabel_1, 'Interpreter','Latex'),
y_min = min(status_GNSS_1_out);
y_max = max(status_GNSS_1_out);
    if y_min == y_max
        axis([time(1) time(end) y_min-1 y_max+1])
        y_tick = [y_min-1:1:y_max+1];
        set(gca,'YTick', y_tick)
    else
        y_tick = [y_min:1:y_max];
        set(gca,'YTick', y_tick)
        axis([time(1) time(end) y_min-0.1 y_max+0.1])    
    end
grid, set(gca,'FontSize',11)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')
% s_fig_file_name = 'GNSS_1_reported_var';
% figure
% c_yabel_1 = {'$\sigma^2_x$ $\mathrm[m^2]$'};
% c_yabel_2 = {'$\sigma^2_y$ $\mathrm[m^2]$'};
% c_yabel_3 = {'$\sigma^2_z$ $\mathrm[m^2]$'};
% resize_fig( 'pva_plot' );
% subplot(3,1,1), 
% %     title('$\mathbf{\sigma^2}_\mathrm{GNSS_1}$','FontSize',11, 'Interpreter','Latex')
%     plot(time, var_pos_ref_1(:,1)), 
%     xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
%     ylabel(c_yabel_1, 'Interpreter','Latex'),
%     grid, set(gca,'FontSize',11)
% subplot(3,1,2), 
%     plot(time, var_pos_ref_1(:,2)), 
%     xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
%     ylabel(c_yabel_2, 'Interpreter','Latex'),
%     grid, set(gca,'FontSize',11)
% subplot(3,1,3), 
%     plot(time, var_pos_ref_1(:,3)), 
%     xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
%     ylabel(c_yabel_3, 'Interpreter','Latex'),
%     grid, set(gca,'FontSize',11)
% figureHandle = gcf;
% set(findall(figureHandle,'type','text'),'fontSize',11)
% s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');
% 
% s_fig_file_name = 'GNSS_2_reported_var';
% figure
% % c_yabel_1 = {'$\sigma^2_x$'};
% % c_yabel_2 = {'$\sigma^2_y$'};
% % c_yabel_3 = {'$\sigma^2_z$'};
% resize_fig( 'pva_plot' );
% subplot(3,1,1), 
% %     title('$\mathbf{\sigma^2}_\mathrm{GNSS_2}$','FontSize',11, 'Interpreter','Latex')
%     plot(time, var_pos_ref_2(:,1)), 
%     xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
%     ylabel(c_yabel_1, 'Interpreter','Latex'),
%     grid, set(gca,'FontSize',11)
% subplot(3,1,2), 
%     plot(time, var_pos_ref_2(:,2)), 
%     xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
%     ylabel(c_yabel_2, 'Interpreter','Latex'),
%     grid, set(gca,'FontSize',11)
% subplot(3,1,3), 
%     plot(time, var_pos_ref_2(:,3)), 
%     xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
%     ylabel(c_yabel_3, 'Interpreter','Latex'),
%     grid, set(gca,'FontSize',11)
% figureHandle = gcf;
% set(findall(figureHandle,'type','text'),'fontSize',11)
% s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');
% 
% figure
% s_fig_file_name = 'GNSS_3_reported_var';
% % c_yabel_1 = {'$\sigma_x^2$'};
% % c_yabel_2 = {'$\sigma_y^2$'};
% % c_yabel_3 = {'$\sigma_z^2$'};
% resize_fig( 'pva_plot' );
% subplot(3,1,1), 
% %     title('$\mathbf{\sigma^2}_\mathrm{GNSS_3}$','FontSize',11, 'Interpreter','Latex')
%     plot(time, var_pos_ref_3(:,1)), 
%     xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
%     ylabel(c_yabel_1, 'Interpreter','Latex'),
%     grid, set(gca,'FontSize',11)
% subplot(3,1,2), 
%     plot(time, var_pos_ref_3(:,2)), 
%     xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
%     ylabel(c_yabel_2, 'Interpreter','Latex'),
%     grid, set(gca,'FontSize',11)
% subplot(3,1,3), 
%     plot(time, var_pos_ref_3(:,3)), 
%     xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
%     ylabel(c_yabel_3, 'Interpreter','Latex'),
%     grid, set(gca,'FontSize',11)
% figureHandle = gcf;
% set(findall(figureHandle,'type','text'),'fontSize',11)
% s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');
s_fig_file_name = 'GNSS_reported_var';
h = figure;
c_yabel_1 = {'$\sigma^2_x$ $\mathrm[m^2]$'};
c_yabel_2 = {'$\sigma^2_y$ $\mathrm[m^2]$'};
c_yabel_3 = {'$\sigma^2_z$ $\mathrm[m^2]$'};
s_legend = {'GNSS 1', 'GNSS 2', 'GNSS 3'};
resize_fig( 'pva_plot' );
subplot(3,1,1),
    plot(time, var_pos_ref_1(:,1)), 
    hold on;
    plot(time, var_pos_ref_2(:,1) ,'--r'), 
    plot(time, var_pos_ref_3(:,1),':g','Linewidth',0.3),
    hold off
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
    ylabel(c_yabel_1, 'Interpreter','Latex'),
    legend(s_legend, 'Interpreter','Latex','Location','best')
    grid, set(gca,'FontSize',11)
subplot(3,1,2), 
    plot(time, var_pos_ref_1(:,2)),
    hold on;
    plot(time, var_pos_ref_2(:,2),'--r'), 
    plot(time, var_pos_ref_3(:,2),':g','Linewidth',0.3),
    hold off
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
    ylabel(c_yabel_2, 'Interpreter','Latex'),
    legend(s_legend, 'Interpreter','Latex','Location','best')
    grid, set(gca,'FontSize',11)
subplot(3,1,3), 
    plot(time, var_pos_ref_1(:,3)),
    hold on;
    plot(time, var_pos_ref_2(:,3) ,'--r'), 
    plot(time, var_pos_ref_3(:,3),':g','Linewidth',0.3),
    hold off    
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
    ylabel(c_yabel_3, 'Interpreter','Latex'),
    legend(s_legend, 'Interpreter','Latex','Location','best')
    grid, set(gca,'FontSize',11)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

s_fig_file_name = 'GNSS_w_calc_covar';
h = figure;
% c_yabel_1 = {'$\sigma^2_x$'};
% c_yabel_2 = {'$\sigma^2_y$'};
% c_yabel_3 = {'$\sigma^2_z$'};
resize_fig( 'pva_plot' );
subplot(3,1,1), 
%     title('GNSS Weighted Covariance','FontSize',11, 'Interpreter','Latex')
    plot(time, gnss_var_w(:,1)), 
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
    ylabel(c_yabel_1, 'Interpreter','Latex'),
    grid, set(gca,'FontSize',11)
subplot(3,1,2), 
    plot(time, gnss_var_w(:,2)), 
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
    ylabel(c_yabel_2, 'Interpreter','Latex'),
    grid, set(gca,'FontSize',11)
subplot(3,1,3), 
    plot(time, gnss_var_w(:,3)), 
    xlabel('Time [s]','FontSize',11, 'Interpreter','Latex'), 
    ylabel(c_yabel_3, 'Interpreter','Latex'),
    grid, set(gca,'FontSize',11)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')


