function nu_c_n = generate_current_data( h, k, N, alpha, beta, V_c_lim, b_constant_current)

persistent V_c w
if isempty(w)
    w = normrnd(0, 1, N+1, 1);
end

if isempty(V_c)
    V_c = 1; % [m/s]    
end

if b_constant_current ~= true
    % Markov Process of currents
    mu = 10000;
    V_c_dot = - 1/mu*V_c + 0.1*w(k);
    V_c = V_c + h*V_c_dot;

    if abs(V_c) > V_c_lim
        V_c = sign(V_c)*V_c_lim;
    end
end

v_c_n = [V_c*cos(alpha)*cos(beta) ....
        V_c*sin(beta) ....
        V_c*sin(alpha)*cos(beta)]';
nu_c_n = [v_c_n' 0 0 0]';



