function [ x, nu_r_dot, nu_n_c ] = generate_vessel_data( dt, k, N, x_0, vessel_model_params, tau, tau_wave, b_use_current)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
        h = dt;
        
        I = eye(3);
        M = vessel_model_params.M;
        M_RB = vessel_model_params.M_RB;
        D_r = vessel_model_params.D;
        G = vessel_model_params.G;
        r_g_2_b = vessel_model_params.r_g_2_b;
        eta = x_0(1:6); nu_r = x_0(7:12);
        
        % current paramaters
        alpha = 0;
        beta = deg2rad(-30);
        V_c_lim = sqrt(2);
        b_constant_current = true;
                
        phi = eta(4); theta = eta(5); psi = eta(6);
        % Transformation matrix J
        [J, ~, ~] =  eulerang( phi, theta, psi );

        R_psi = Rzyx( 0, 0, psi );
        P_psi = [R_psi zeros(3);
                zeros(3) I];
        if b_use_current == true
            nu_n_c = generate_current_data( h, k, N, alpha, beta, V_c_lim, b_constant_current);
        else 
            nu_n_c = [0 0 0 0 0 0]';
        end
        omega_b_bn = nu_r(4:6);
        C_r = M_RB_and_Omega_b2Coriolis(M_RB, omega_b_bn, r_g_2_b);
        
        % Combined forward and backwards Euler integration
        % Velocity is relative
        nu_r_dot = M\( - P_psi'*G*eta - (D_r + C_r)*nu_r + tau + tau_wave);
        nu_r = nu_r + h*nu_r_dot;            
        eta_dot = J*(nu_r) + nu_n_c;
        eta = eta + h*eta_dot;
        x = [eta' nu_r']';

end





