function vessel_model_params = get_vessel_params( vessel_type )

switch vessel_type
    case 'Supply vessel'
        load supply;
        % kommer dette ut i CG?
        M_RB = vessel.MRB;
        M_A = vessel.A(:,:,length(vessel.A));
        G = vessel.C(:,:,length(vessel.A));
        D = vessel.B(:,:,length(vessel.A));
        M = M_RB + M_A;
        r_g_2_b = [ 0 0 0 ]';
%         M_inv = inv( M );
    case 'Rig'
        % Model parameters rig
        if exist('rig_kinetics.mat','file') == 0
            [M, D, G, M_RB, M_A, M_CG, D_CG, G_CG, rCG, rCB, T_z, T_phi, T_theta] = rig;
            s_save_file = 'rig_kinetics';
            save(s_save_file, 'M_RB', 'M_CG', 'D_CG', 'G_CG');
        else
            load('rig_kinetics.mat');
        end
        M = M_CG;
        G = G_CG;
        D = D_CG;
        r_g_2_b = [ 0 0 0 ]';
    otherwise
        error('Not a valid vessel type. Please try again');
end
vessel_model_params = struct( 'M', M, 'M_RB', M_RB, 'G', G,'D', D, 'r_g_2_b', r_g_2_b);