function imu_plot(time_out, a_b_meas_1 , omega_b_meas_1, m_b_meas_1, b_a_hat_out, b_g_hat_out, b_plot_bias_corr)

global s_Folder

time = time_out;
s_imu_nr_1 = '1';
s_imu_nr_2 = '2';
s_imu_nr_3 = '3';
s_y_label_acc_x = '$a_x^b$[m/s$^2$]';
s_y_label_acc_y = '$a_y^b$[m/s$^2$]';
s_y_label_acc_z = '$a_z^b$[m/s$^2$]';
s_y_label_omega_x = '$\omega_x^b$[rad/s]';
s_y_label_omega_y = '$\omega_y^b$[rad/s]';
s_y_label_omega_z = '$\omega_z^b$[rad/s]';

%% Linear acceleration

h = figure;
s_fig_file_name = 'imu_1_acc';
% s_legend = {'Raw Accelerometer Measurements', 'Bias Compensated Accelerometer Measurements'};
resize_fig('simulator_plot');
% s_title = strcat('Acceleration Measurments from IMU ',s_imu_nr_1);
subplot(3,1,1), 
    plot(time(2:end), a_b_meas_1(2:end,1) ), 
    if b_plot_bias_corr == 1
        hold on,
        plot(time(2:end), a_b_meas_1(2:end, 1) - b_a_hat_out(2:end,1), 'r' ),
        hold off
    end
    xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_x),
    grid on, set(gca,'FontSize',12)
%     legend(s_legend, 'Location','NorthOutside')
subplot(3,1,2), 
    plot(time(2:end), a_b_meas_1(2:end,2)),
    if b_plot_bias_corr == 1
        hold on,
        plot(time(2:end), a_b_meas_1(2:end, 2) - b_a_hat_out(2:end,2), 'r' ),
        hold off
    end
    xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_y),
    grid on, set(gca,'FontSize',12)
subplot(3,1,3), 
    plot(time(2:end), a_b_meas_1(2:end, 3) ),
    if b_plot_bias_corr == 1
        hold on,
        plot(time(2:end), a_b_meas_1(2:end, 3) - b_a_hat_out(2:end, 3), 'r' ),
        hold off
    end
    xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_z),
    grid on, set(gca,'FontSize',12)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',12)
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');
s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

% figure
% s_fig_file_name = 'imu_1_acc_comp';
% resize_fig('simulator_plot');
% s_title = strcat('Acceleration Measurments from IMU ',s_imu_nr_1);
% subplot(3,1,1), plot(time, a_b_meas_1(:,1) - b_a_hat_out(:,1) ), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_x),grid, set(gca,'FontSize',12)
% title(s_title); 
% subplot(3,1,2), plot(time, a_b_meas_1(:,2) - b_a_hat_out(:,2) ), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_y),grid, set(gca,'FontSize',12)
% subplot(3,1,3), plot(time, a_b_meas_1(:,3) - b_a_hat_out(:,3) ), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_z),grid, set(gca,'FontSize',12)
% figureHandle = gcf;
% set(findall(figureHandle,'type','text'),'fontSize',12)
% s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');

% figure
% s_title = strcat('Acceleration Measurments from IMU ',s_imu_nr_2);
% subplot(3,1,1), plot(time, a_b_meas_2(:,1)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_x),grid, set(gca,'FontSize',12)
% title(s_title);
% subplot(3,1,2), plot(time, a_b_meas_2(:,2)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_y),grid, set(gca,'FontSize',12)
% subplot(3,1,3), plot(time, a_b_meas_2(:,3)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_z),grid, set(gca,'FontSize',12)
% figureHandle = gcf;
% set(findall(figureHandle,'type','text'),'fontSize',12)
% 
% figure
% s_title = strcat('Acceleration Measurments from IMU ',s_imu_nr_3);
% subplot(3,1,1), plot(time, a_b_meas_3(:,1)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_x),grid, set(gca,'FontSize',12)
% title(s_title);
% subplot(3,1,2), plot(time, a_b_meas_3(:,2)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_y),grid, set(gca,'FontSize',12)
% subplot(3,1,3), plot(time, a_b_meas_3(:,3)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_acc_z),grid, set(gca,'FontSize',12)
% figureHandle = gcf;
% set(findall(figureHandle,'type','text'),'fontSize',12)

%% Angular Velocity

h = figure;
s_fig_file_name = 'imu_1_omega';
s_fig_file_name = 'imu_1_omega_raw';
resize_fig('simulator_plot');
s_legend = {'Raw Gyroscope Measurements', 'Bias Gyroscope Accelerometer Measurements'};
s_title = strcat('Angular Velocity Measurments from IMU ',s_imu_nr_1);
subplot(3,1,1), 
    plot(time, omega_b_meas_1(:,1)), xlabel('Time [s]','FontSize',12), 
%     hold on
%     plot(time, omega_b_meas_1(:,1) - b_g_hat_out(:,1),'r' ), 
%     hold off
    xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_x),
    grid on, set(gca,'FontSize',12)
%     legend(s_legend, 'Location', 'North')
subplot(3,1,2)
    plot(time, omega_b_meas_1(:,2)), xlabel('Time [s]','FontSize',12),
%     hold on;
%     plot(time, omega_b_meas_1(:,2) - b_g_hat_out(:,2),'r' ), 
%     hold off
    xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_y),
    grid on, set(gca,'FontSize',12)
subplot(3,1,3), 
    plot(time, omega_b_meas_1(:,3)),
%     hold on
%     plot(time, omega_b_meas_1(:,3) - b_g_hat_out(:,3),'r' ), 
%     hold off
    xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_z),
    grid on, set(gca,'FontSize',12)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',12)
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');
s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

% figure
% s_fig_file_name = 'imu_1_omega_comp';
% resize_fig('simulator_plot');
% s_title = strcat('Angular Velocity Measurments from IMU ',s_imu_nr_1);
% subplot(3,1,1), plot(time, omega_b_meas_1(:,1) - b_g_hat_out(:,1) ), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_x),grid, set(gca,'FontSize',12)
% title(s_title);
% subplot(3,1,2), plot(time, omega_b_meas_1(:,2) - b_g_hat_out(:,2) ), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_y),grid, set(gca,'FontSize',12)
% subplot(3,1,3), plot(time, omega_b_meas_1(:,3) - b_g_hat_out(:,3) ), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_z),grid, set(gca,'FontSize',12)
% figureHandle = gcf;
% set(findall(figureHandle,'type','text'),'fontSize',12)
% s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');


% figure
% s_title = strcat('Angular Velocity Measurments from IMU ',s_imu_nr_2);
% subplot(3,1,1), plot(time, omega_b_2(:,1)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_x),grid, set(gca,'FontSize',12)
% title(s_title);
% subplot(3,1,2), plot(time, omega_b_2(:,2)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_y),grid, set(gca,'FontSize',12)
% subplot(3,1,3), plot(time, omega_b_2(:,3)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_z),grid, set(gca,'FontSize',12)
% figureHandle = gcf;
% set(findall(figureHandle,'type','text'),'fontSize',12)
% 
% figure
% s_title = strcat('Angular Velocity Measurments from IMU ',s_imu_nr_3);
% subplot(3,1,1), plot(time, omega_b_3(:,1)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_x),grid, set(gca,'FontSize',12)
% title(s_title);
% subplot(3,1,2), plot(time, omega_b_3(:,2)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_y),grid, set(gca,'FontSize',12)
% subplot(3,1,3), plot(time, omega_b_3(:,3)), xlabel('Time [s]','FontSize',12), ylabel(s_y_label_omega_z),grid, set(gca,'FontSize',12)
% figureHandle = gcf;
% set(findall(figureHandle,'type','text'),'fontSize',12)
