function b_is_inside_circle = is_point_inside_circle(point, circle)
%IS_POINT_IN_CIRCLE Test if a point is located inside a given circle
%
%   b_is_inside_circle = is_point_in_circle(point, circle) 
%   Returns true if the point is located inside the circle, 
%   i.e. if distance to circle center is lower than the circle radius.
%
%   Input:
%   1: point = [x y]
%   2: cicle = [center_x center_y radius]

tolerance = 1e-9;

length_from_point_to_center_of_circle = sqrt( ....
    ( point(1) - circle(1) )^2 + ( point(2) - circle(2) )^2 );

b_is_inside_circle = length_from_point_to_center_of_circle - circle(3) <= tolerance;
    