function x_dot = rig_model_func(x, tau, tau_w)

    persistent M_inv M_CG D_CG G_CG zero_mat
    if isempty(M_CG) || isempty(D_CG) || isempty(G_CG)
        load('rig_kinetics'); 
        M_inv = M_CG;
        zero_mat = zeros(6, 6);
    end
    phi = x(4);
    theta = x(5);
    psi = x(6);
    % Transformation matrix J
    J =  eulerang( phi, theta, psi );
    
    % State space model of the vessel
    A = [zero_mat J;
        -M_inv*G_CG -M_inv*D_CG];
    B = [zero_mat; M_inv];

    u = tau + tau_w;
    x_dot = A*x + B*u;

end