function thurst_and_acc_plot(time_out, a_b_meas_1, acc_model_out)

global s_Folder;

s_x_label = 'Time [s]';

h = figure;
resize_fig('pva_plot')
s_legend = {'IMU', 'Model'};
s_y_label_x = '$a_x$ $\mathrm{[m/s^2]}$';
s_y_label_y = '$a_y$ $\mathrm{[m/s^2]}$';
s_y_label_z = '$a_z$ $\mathrm{[m/s^2]}$'; 
subplot(3,1,1)
    plot(time_out, a_b_meas_1(:,1) )
    hold on
    plot(time_out, acc_model_out(:,1),'r' )
    hold off
    grid on;
    legend(s_legend, 'Location', 'NorthEast', 'Interpreter','Latex','fontSize',11);
    xlabel( s_x_label, 'Interpreter','Latex','fontSize',11);
    ylabel( s_y_label_x, 'Interpreter','Latex','fontSize',11);
    axis([time_out(1) time_out(end), -1.7 1.7])
subplot(3,1,2)
    plot(time_out, a_b_meas_1(:,2) )
    hold on
    plot(time_out, acc_model_out(:,2),'r' )
    hold off
    grid on;
    legend(s_legend, 'Location', 'NorthEast', 'Interpreter','Latex','fontSize',11);
    xlabel( s_x_label, 'Interpreter','Latex','fontSize',11);
    ylabel( s_y_label_y, 'Interpreter','Latex','fontSize',11);
    axis([time_out(11) time_out(end), -1.7 1.7])
subplot(3,1,3)
    plot(time_out, a_b_meas_1(:,3) )
    hold on
    plot(time_out, acc_model_out(:,3),'r' )
    hold off
    grid on;
    legend(s_legend, 'Location', 'NorthEast', 'Interpreter','Latex','fontSize',11);
    xlabel( s_x_label, 'Interpreter','Latex','fontSize',11);
    ylabel( s_y_label_z, 'Interpreter','Latex','fontSize',11);
    axis([time_out(1) time_out(end), -11 -8.5])
s_fig_file_name = 'acc_IMU_vs_acc_model';
s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig');
export_fig(s_location_with_file_name, '-pdf','-transparent');    




