function vessel_model_plot(time_out, xypsi_model_out, uvr_model_out , bias_hat_n_out, xi_hat_out, ....
    p_hat_out, v_hat_out, q_hat_out, pos_ref_out, nu_c_out )

global s_Folder;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% s_legend = {'GNSS Measurements', 'INS/GNSS Observer', 'Nonlinear Passive Observer'};
s_legend = {'Nonlinear Passive Observer', 'INS/GNSS Observer'};
s_label_x = 'East [m]';
s_label_y = 'North [m]';
h = figure; 
resize_fig('simulator_plot');
s_fig_file_name = 'north_east_plot_npo';
plot( pos_ref_out(:,2), pos_ref_out(:,1) )
hold on;
plot( p_hat_out(:,2), p_hat_out(:,1),'r');
plot( xypsi_model_out(:,2), xypsi_model_out(:,1), 'g')
hold off;
xlabel(s_label_x, 'Interpreter','Latex','fontSize',11)
ylabel(s_label_y, 'Interpreter','Latex','fontSize',11)
legend(s_legend, 'location', 'best' );
grid on;
% legend(s_legend, 'Location','NorthWest')
set(gca,'FontSize',11)
s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
s_xlabel = 'Time[s]';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

h = figure;
resize_fig('pva_plot');
s_fig_file_name = 'gen_pos_npo_plot';
subplot(3,1,1)
% plot(time_out(:), pos_ref_out(:,1))
hold on;
plot(time_out(:), xypsi_model_out(:,1), 'g')
plot( time_out, p_hat_out(:,1),'r');
hold off;
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$x$[m]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
legend(s_legend, 'Interpreter','Latex','fontSize',11, 'Location','best')
set(gca,'FontSize',11)

subplot(3,1,2)
% plot(time_out(:), pos_ref_out(:,2))
hold on
plot(time_out(:), xypsi_model_out(:,2), 'g')
plot( time_out, p_hat_out(:,2),'r');
hold off;
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$y$[m]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
% legend(s_legend, 'Location','NorthWest')
% legend(s_legend, 'Location','NorthOutside')
legend(s_legend, 'Interpreter','Latex','fontSize',11, 'Location','best')
set(gca,'FontSize', 11)

psi_out = zeros( length(q_hat_out),1 );
for k = 1:length(psi_out);
    [~, ~, psi_out(k)] = quat2euler( q_hat_out(k, :) );
end
subplot(3,1,3)
plot(time_out(:), rad2deg( xypsi_model_out(:,3) ), 'g' )
hold on;
plot(time_out(:), rad2deg( psi_out(:) ),'r' )
hold off;
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$\psi$[deg]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
s_legend = {'Nonlinear Passive Observer', 'INS/GNSS Observer'};
% legend(s_legend, 'Location','NorthWest')
legend(s_legend, 'Interpreter','Latex','fontSize',11, 'Location','best')
set(gca,'FontSize', 11)

s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
%export_fig(s_fig_path_and_name, '-pdf','-transparent');
s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
h = figure;
resize_fig('pva_plot');
s_fig_file_name = 'gen_velo_npo_plot';
subplot(3,1,1)
plot(time_out(:), uvr_model_out(:,1),'b')
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$u$[m/s]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
set(gca,'FontSize', 11)

subplot(3,1,2)
plot(time_out(:), uvr_model_out(:,2),'b')
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$v$[m/s]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
set(gca,'FontSize', 11)

subplot(3,1,3)
plot(time_out(:), rad2deg(uvr_model_out(:,3)),'b')
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$r$[deg/s]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
set(gca,'FontSize', 11)

s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
%export_fig(s_fig_path_and_name, '-pdf','-transparent');
s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
h = figure;
resize_fig('pva_plot');
s_fig_file_name = 'gen_bias_npo_plot';
s_legend = {'Bias Estimate', 'Current'};
subplot(3,1,1)
plot(time_out(:), bias_hat_n_out(:,1) ,'r')
hold on;
plot(time_out(:), nu_c_out(:,1) )
hold off;
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$\hat b_x$[m/s]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
legend(s_legend, 'Interpreter','Latex','fontSize',11,'location','best')
set(gca,'FontSize', 11)

subplot(3,1,2)
plot(time_out(:), bias_hat_n_out(:,2),'r')
hold on
plot(time_out(:), nu_c_out(:,2))
hold off;
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$\hat b_y$[m/s]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
legend(s_legend, 'Interpreter','Latex','fontSize',11 ,'location','best')
set(gca,'FontSize', 11)

subplot(3,1,3)
plot(time_out(:), rad2deg(bias_hat_n_out(:,3)),'r')
hold on
plot(time_out(:), rad2deg(nu_c_out(:,6)))
xlabel(s_xlabel)
s_ylabel = '$\hat b_\psi$[deg/s]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
legend(s_legend, 'Interpreter','Latex','fontSize',11,'location','best')
set(gca,'FontSize', 11)

s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');
s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
h = figure;
resize_fig('pva_plot');
s_fig_file_name = 'xi_wave_npo_plot';

subplot(3,1,1)
plot(time_out(:), xi_hat_out(:,1) )
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$\xi_x$[m]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
set(gca,'FontSize', 11)

subplot(3,1,2)
plot(time_out(:), xi_hat_out(:,2) )
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$\xi_y$[m]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
set(gca,'FontSize', 11)

subplot(3,1,3)
plot(time_out(:), rad2deg(xi_hat_out(:,3)) )
xlabel(s_xlabel, 'Interpreter','Latex','fontSize',11)
s_ylabel = '$\xi_\psi$[deg]';
ylabel(s_ylabel, 'Interpreter','Latex','fontSize',11)
grid on;
set(gca,'FontSize', 11)

s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent');
s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent')

