function vessel_plot(time_out, x_out, tau_out, tau_wave, nu_c_out, tau_int)

global s_Folder;

time = time_out;
x   = x_out;
tau   = tau_out;
tau_w = tau_wave;


h = figure;
resize_fig( 'pva_plot' );
subplot(3,2,1), plot(time, x(:,1)), xlabel('Time [s]'), ylabel('$x$[m]'),grid, set(gca,'FontSize',11) 
subplot(3,2,3), plot(time, x(:,2)), xlabel('Time [s]'), ylabel('$y$[m]'),grid, set(gca,'FontSize',11)
subplot(3,2,5), plot(time, x(:,3)), xlabel('Time [s]'), ylabel('$z$[m]'),grid, set(gca,'FontSize',11)
subplot(3,2,2), plot(time, rad2deg(x(:,4))), xlabel('Time [s]'), ylabel('$\phi$[deg]'),grid, set(gca,'FontSize',11)
subplot(3,2,4), plot(time, rad2deg(x(:,5))), xlabel('Time [s]'), ylabel('$\theta[deg]$'),grid, set(gca,'FontSize',11)
subplot(3,2,6), plot(time, rad2deg(x(:,6))), xlabel('Time [s]'), ylabel('$\psi$[deg]'),grid, set(gca,'FontSize',11)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_file_name = 'vessel_simulator_gen_pos';
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent')

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent');


nu_c_b_out = zeros(size(nu_c_out));
for k = 1:length(nu_c_out)
    phi = x_out(k, 4); theta = x_out(k, 5); psi = x_out(k, 6);
    R = Rzyx(phi, theta, psi);
    nu_c_b_out(k,1:3) = (R'*nu_c_out(k,1:3)')';
end
h = figure; 
resize_fig( 'pva_plot' );
subplot(3,2,1), plot( time, x(:,7) + nu_c_b_out(:,1) ), xlabel('Time [s]'), ylabel('$u$[m/s]'),grid, set(gca,'FontSize',11) 
subplot(3,2,3), plot( time, x(:,8) + nu_c_b_out(:,2) ), xlabel('Time [s]'), ylabel('$v$[m/s]'),grid, set(gca,'FontSize',11)
subplot(3,2,5), plot( time, x(:,9) + nu_c_b_out(:,3) ), xlabel('Time [s]'), ylabel('$w$[m/s]'), grid, set(gca,'FontSize',11)
subplot(3,2,2), plot( time, rad2deg(x(:,10)) ), xlabel('Time [s]'), ylabel('$p$[deg/s]'),grid, set(gca,'FontSize',11)
subplot(3,2,4), plot( time, rad2deg(x(:,11)) ), xlabel('Time [s]'), ylabel('$q$[deg/s]'), grid, set(gca,'FontSize',11)
subplot(3,2,6), plot( time, rad2deg(x(:,11)) ), xlabel('Time [s]'), ylabel('$r$[deg/s]'),grid, set(gca,'FontSize',11)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_file_name = 'vessel_simulator_gen_velo';
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent')

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
h = figure;
resize_fig( 'simulator_plot' );
kilo_tau = tau/1000;
subplot(3,1,1), plot(time, kilo_tau(:,1)), xlabel('Time [s]'), ylabel('$X$ [kN]'),grid, set(gca,'FontSize',11) 
subplot(3,1,2), plot(time, kilo_tau(:,2)), xlabel('Time [s]'), ylabel('$Y$ [kN]'),grid, set(gca,'FontSize',11)
%subplot(3,2,5), plot(time, kilo_tau(:,3)), xlabel('Time [s]'), ylabel('$Z$ [kN]'), grid, set(gca,'FontSize',11)
%subplot(3,2,2), plot(time, kilo_tau(:,4)), xlabel('Time [s]'), ylabel('$K$ [kNm]'),grid, set(gca,'FontSize',11)
%subplot(3,2,4), plot(time, kilo_tau(:,5)), xlabel('Time [s]'), ylabel('$M$ [kNm]'), grid, set(gca,'FontSize',11)
subplot(3,1,3), plot(time, kilo_tau(:,6)), xlabel('Time [s]'), ylabel('$N$ [kNm]'),grid, set(gca,'FontSize',11)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_file_name = 'vessel_simulator_control_inputs';
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
%export_fig(s_fig_path_and_name, '-pdf','-transparent')

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
h = figure; 
resize_fig( 'simulator_plot' );
kilo_tau_int = tau_int/1000;
subplot(3,1,1), plot(time, kilo_tau_int(:,1)), xlabel('Time [s]'), ylabel('$X$ [kN]'),grid, set(gca,'FontSize',11) 
subplot(3,1,2), plot(time, kilo_tau_int(:,2)), xlabel('Time [s]'), ylabel('$Y$ [kN]'),grid, set(gca,'FontSize',11)
%subplot(3,2,5), plot(time, kilo_tau(:,3)), xlabel('Time [s]'), ylabel('$Z$ [kN]'), grid, set(gca,'FontSize',11)
%subplot(3,2,2), plot(time, kilo_tau(:,4)), xlabel('Time [s]'), ylabel('$K$ [kNm]'),grid, set(gca,'FontSize',11)
%subplot(3,2,4), plot(time, kilo_tau(:,5)), xlabel('Time [s]'), ylabel('$M$ [kNm]'), grid, set(gca,'FontSize',11)
subplot(3,1,3), plot(time, kilo_tau_int(:,3)), xlabel('Time [s]'), ylabel('$N$ [kNm]'),grid, set(gca,'FontSize',11)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_file_name = 'vessel_simulator_control_inputs_integral';
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
%export_fig(s_fig_path_and_name, '-pdf','-transparent')

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
h = figure; 
resize_fig( 'pva_plot' );
kilo_tau_w = tau_w/1000;
length_time = 1:length(time);
subplot(3,2,1), plot(time, kilo_tau_w(length_time,1)), xlabel('Time [s]'), ylabel('$kX$ [N]'),grid, set(gca,'FontSize',11) 
subplot(3,2,3), plot(time, kilo_tau_w(length_time,2)), xlabel('Time [s]'), ylabel('$kY$ [N]'),grid, set(gca,'FontSize',11)
subplot(3,2,5), plot(time, kilo_tau_w(length_time,3)), xlabel('Time [s]'), ylabel('$kZ$ [N]'), grid, set(gca,'FontSize',11)
subplot(3,2,2), plot(time, kilo_tau_w(length_time,4)), xlabel('Time [s]'), ylabel('$kK$ [Nm]'),grid, set(gca,'FontSize',11)
subplot(3,2,4), plot(time, kilo_tau_w(length_time,5)), xlabel('Time [s]'), ylabel('$kM$ [Nm]'), grid, set(gca,'FontSize',11)
subplot(3,2,6), plot(time, kilo_tau_w(length_time,6)), xlabel('Time [s]'), ylabel('$kN$ [Nm]'),grid, set(gca,'FontSize',11)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_file_name = 'vessel_simulator_fo_wave_dist';
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
% export_fig(s_fig_path_and_name, '-pdf','-transparent')

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent');

h = figure; 
resize_fig( 'simulator_plot' );
subplot(2,1,1),
%     plot(nu_c_out(2:end, 2), nu_c_out(2:end, 1)), 
%     xlabel('$v^n_{c,y}$ [m/s]'), 
%     ylabel('$v^n_{c,x}$ [m/s]'),
%     grid, set(gca,'FontSize',11) 
subplot(2,1,1), 
    plot(time(2:end)-0.01, nu_c_out(2:end, 1) ), 
    xlabel('Time [s]'), 
    ylabel('$v^n_{c,x}$ [m/s]'),
    grid, set(gca,'FontSize',11)
subplot(2,1,2), 
    plot(time(2:end)-0.01, nu_c_out(2:end, 2) ), 
    xlabel('Time [s]'), 
    ylabel('$v^n_{c,y}$ [m/s]'),
    grid, set(gca,'FontSize',11)
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_file_name = 'vessel_current_velociy';
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
%export_fig(s_fig_path_and_name, '-pdf','-transparent')

s_location_with_file_name = strcat( s_Folder,'\', s_fig_file_name);
saveas(h,s_location_with_file_name,'fig')
export_fig(s_location_with_file_name, '-pdf','-transparent');

end


